Sync with Waxpeer session to auto-fill API key

Create Steam offer

POST/v2/merchant/create-steam-offer

Create a Steam offer for user using ONE OF deposit_id OR transaction_id.

You can create a deposit without items and call this method later to create a Steam offer.

You have 15 minutes after creation a deposit to create a Steam offer. You can't create multiple Steam offers for one deposit.

Parameters

NameLocationTypeDescription
api
required
querystring

Request body

NameLocationTypeDescription
merchant
required
bodystring

Merchant name / identifier

deposit_id
optional
bodystring

Custom merchant deposit ID (up to 50 characters)

transaction_id
optional
bodyinteger

Internal transaction identifier

steam_id
required
bodystring

Steam ID64 (17 digits)

trade_url_token
required
bodystring

Trade URL 8-character token

game
required
bodyenum

Game code for requested items (csgo, tf2, rust, dota2)

enum: csgo

items
required
bodyarray<string>

Array of items

Example
{
  "merchant": "mymerchant",
  "deposit_id": "123456asd",
  "transaction_id": 123456,
  "steam_id": "76561198000000000",
  "trade_url_token": "abcdefgh",
  "game": "csgo",
  "items": [
    "123",
    "456",
    "789"
  ]
}

Responses

200 Successful operation

NameTypeDescription
status
required
string

Filter by status

url
required
string

Deposit redirect URL

transaction_id
required
integer

Internal transaction identifier

hash
required
string

Unique hash identifier

listed
required
array<object>

List of successfully listed items

name
optional
string

Full item market hash name

item_id
optional
string

Unique Waxpeer item identifier (item_id)

price
optional
number

Item price in integer format (1000 = $1.00 USD)

failed
required
array<object>

List of items that failed to list

item_id
optional
string

Unique Waxpeer item identifier (item_id)

price
optional
number

Item price in integer format (1000 = $1.00 USD)

name
optional
string

Full item market hash name

error_message
optional
string

Error message

Response
{
  "status": "success",
  "url": "https://pay.waxpeer.com/merchant/mymerchant?hash=7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
  "transaction_id": 123456,
  "hash": "7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
  "listed": [
    {
      "name": "AWP | Asiimov (Field-tested)",
      "item_id": "141414144",
      "price": 1000
    }
  ],
  "failed": [
    {
      "item_id": "141414145",
      "price": 1000,
      "name": "AWP | Asiimov (Field-tested)",
      "error_message": "item_not_acceptable"
    }
  ]
}